EPS for Payment Setup API
Last updated: April 30, 2026
To accept EPS payments, you must:
- Create a payment setup.
- Confirm the payment.
- Redirect the customer to EPS.
Call the Create a payment setup endpoint.
Information
Your base URL's {prefix} value is unique to your account and environment. To learn how to retrieve your base URLs for the sandbox and production environments, see API endpoints.
post
https://{prefix}.api.checkout.com/payments/setups
1{2"amount": 1000,3"currency": "EUR",4"processing_channel_id": "pc_wzjki6hw5puepb5fnvqlizj2e4",5"reference": "ORD-5023-4E89",6"settings": {7"success_url": "https://example.com/payments/success",8"failure_url": "https://example.com/payments/failure"9}10}
In the request body, provide the following:
| Field | Description |
|---|---|
number | The payment amount, in the minor currency unit. |
string | Three-letter ISO 4217 currency code. |
string | The processing channel's unique identifier. |
string | The URL to redirect the customer to if the payment fails. |
string | The URL to redirect the customer to if the payment is successful. |
string | A description of the payment. |
string | A unique reference for the payment. |
1{2"id": "set_rcmepwrchqab2wsergcafvijfy",3"processing_channel_id": "pc_wzjki6hw5puepb5fnvqlizj2e4",4"amount": 1000,5"currency": "EUR",6"payment_type": "Regular",7"reference": "ORD-5023-4E89",8"description": "EPS payment",9"payment_methods": {10"eps": {11"status": "ready",12"flags": []13}14},15"available_payment_methods": [16"eps"17],18"settings": {19"success_url": "https://example.com/payments/success",20"failure_url": "https://example.com/payments/failure"21}22}
The response returns a payment_methods object, which contains the payment methods enabled on your account.
Providing all required fields sets the payment_methods.eps object to a ready status.
Confirm the payment by calling the Confirm a payment setup endpoint and provide:
- The payment setup
idas the{id}path parameter. epsas the{payment_method_name}path parameter.
post
https://{prefix}.api.checkout.com/payments/setups/{id}/confirm/eps
1{2"id": "pay_wqvd2nukz5dujnmokm7ljhymwa",3"status": "Pending",4"customer": {5"id": "cus_uvs2lu4b7ncurjx5zdtrixnc4e"6},7"_links": {8"self": {9"href": "https://{prefix}.api.sandbox.checkout.com/payments/pay_wqvd2nukz5dujnmokm7ljhymwa"10},11"redirect": {12"href": "https://ftg-customer-integration.giropay.de/ftgbank/b/bankselection/2329733103475232793;jsessionid=6CA094B861DC4D16D1C48D1988DE4A32.sf-testapp02tom24?op=001"13}14}15}
Redirect the customer to the redirect link's href from the response. The customer selects their bank and completes the payment on the EPS page, then Checkout.com redirects them to your settings.success_url or settings.failure_url.